Fatal error: require_once() [function.require]: Failed opening required ‘Text/Diff/Renderer.php’

Was just trying to view one of my post that i modified once after being published and bumbed up with a page with these error messages:

Warning: ini_set() has been disabled for security reasons in /home/wacdesig/public_html/wp-includes/pluggable.php on line 1517

Warning: require_once(Text/Diff/Renderer.php) [function.require-once]: failed to open stream: No such file or directory in /home/wacdesig/public_html/wp-includes/Text/Diff/Renderer/inline.php on line 17

Fatal error: require_once() [function.require]: Failed opening required ‘Text/Diff/Renderer.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/wacdesig/public_html/wp-includes/Text/Diff/Renderer/inline.php on line 17

Apparently this is due to my hosting provider that have disabled the use the the PHP function ini_set(). Great !!! how do i edit post that i have edited before… fortunately i found out someone that came up with a solution :).

Please note that this issue is only for WP 2.6 and is cause by the new Revision module that allows you to view a revision of your post before it was edited.

Here is the link to the solution for this problem:http://www.code-styling.de/english/wordpress-26-and-the-textdiff-fatal-errors

I also found another solution for those who don’t want to download the modified WP source file that is proposed in the first solution

Edit the wp-includes/Text/Diff.php, line 52 :
[php]
require_once ABSPATH . WPINC . ‘/Text/Diff/Engine/’ . $engine . ‘.php’;
[/php]

Edit the wp-includes/Text/Diff/Renderer/inline.php, line 17 :
[php]
require_once ABSPATH . WPINC . ‘/Text/Diff/Renderer.php’;
[/php]

One Reply to “Fatal error: require_once() [function.require]: Failed opening required ‘Text/Diff/Renderer.php’”

Leave a Reply

Your email address will not be published. Required fields are marked *